Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 452206 (CVE-2008-2665) - CVE-2008-2665 php: posix_access() (posix ext) safe_mode bypass
Summary: CVE-2008-2665 php: posix_access() (posix ext) safe_mode bypass
Keywords:
Status: CLOSED DUPLICATE of bug 169857
Alias: CVE-2008-2665
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 08:23 UTC by Tomas Hoger
Modified: 2019-09-29 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-25 12:56:28 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2008-06-20 08:23:19 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2665 to the following vulnerability:

Directory traversal vulnerability in the posix_access function in PHP
5.2.6 and earlier allows remote attackers to bypass safe_mode
restrictions via a .. (dot dot) in an http URL, which results in the
URL being canonicalized to a local filename after the safe_mode check
has successfully run.

References:
http://securityreason.com/achievement_securityalert/54
http://www.securityfocus.com/bid/29797
http://marc.info/?l=full-disclosure&m=121382030225061&w=4

Comment 2 Tomas Hoger 2008-06-25 12:56:28 UTC

*** This bug has been marked as a duplicate of 169857 ***


Note You need to log in before you can comment on or make changes to this bug.